#
# spec file for package wimlib

%define so_version 15
Name:           wimlib
Version:        1.14.4
Release:        1.2
Summary:        Library to extract, create, modify, and mount WIM files
License:        GPL-3.0-or-later AND LGPL-3.0-or-later AND MIT
Group:          Development/Libraries/C and C++
URL:            https://wimlib.net
Source:         https://wimlib.net/downloads/wimlib-%{version}.tar.gz
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fuse3)
BuildRequires:  pkgconfig(libntfs-3g)

%description
Tools to create, extract, modify, and mount files in the Windows Imaging Format
(WIM files).  These files are normally created by using the `imagex.exe' utility
on Windows, but this package contains an implementation of ImageX called
"wimlib-imagex".

%package -n wimtools
Summary:        Tools to create, extract, modify, and mount WIM files
Group:          System/Console
Requires:       fuse

%description -n wimtools
Tools to create, extract, modify, and mount files in the Windows Imaging Format
(WIM files).  These files are normally created by using the `imagex.exe' utility
on Windows, but this package contains an implementation of ImageX called
"wimlib-imagex".

%package devel
Summary:        Development files for wimlib
Group:          Development/Libraries/C and C++
Requires:       libwim%{so_version}

%description devel
Development files for wimlib

%package -n libwim%{so_version}
Summary:        Library to extract, create, modify, and mount WIM files
Group:          System/Libraries

%description -n libwim%{so_version}
wimlib is a C library for creating, extracting, modifying, and mounting files in
the Windows Imaging Format (WIM files).

%post -n libwim%{so_version} -p /sbin/ldconfig
%postun -n libwim%{so_version} -p /sbin/ldconfig

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--with-ntfs-3g \
	--with-fuse \
	%{nil}

%make_build

%install
%make_install

sed -i '1 s,#!.*,#!/bin/bash,' %{buildroot}%{_bindir}/mkwinpeimg
rm %{buildroot}%{_libdir}/libwim.la

%files -n wimtools
%license COPYING COPYING.GPLv3 COPYING.LGPLv3
%doc NEWS.md README.md
%{_bindir}/mkwinpeimg
%{_bindir}/wim*
%{_mandir}/man1/*.1.gz

%files devel
%license COPYING COPYING.GPLv3 COPYING.LGPLv3
%{_libdir}/libwim.so
%{_includedir}/wimlib.h
%{_libdir}/pkgconfig/wimlib.pc

%files -n libwim%{so_version}
%license COPYING COPYING.GPLv3 COPYING.LGPLv3
%{_libdir}/libwim.so.*

%changelog
* Thu Jun 20 2024 Michael Stauber <mstauber@solarspeed.net> - v1.14.4-1.2
- Initial build
